Bug 1334487 - [RH Ceph 2.0] Ceph-ansible: Unit ceph-mon@clara014.service failed to load: No such file or directory.
Summary: [RH Ceph 2.0] Ceph-ansible: Unit ceph-mon@clara014.service failed to load: No...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Storage Console
Classification: Red Hat
Component: ceph-ansible
Version: 2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 2
Assignee: Alfredo Deza
QA Contact: sds-qe-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-09 18:33 UTC by Vasu Kulkarni
Modified: 2016-08-23 19:50 UTC (History)
8 users (show)

Fixed In Version: ceph-ansible-1.0.5-9.el7scon
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-23 19:50:21 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:1754 normal SHIPPED_LIVE New packages: Red Hat Storage Console 2.0 2017-04-18 19:09:06 UTC

Description Vasu Kulkarni 2016-05-09 18:33:36 UTC
Description of problem:

1) Cluster 2-Mon's and 3 OSDs'

TASK: [ceph-mon | enable systemd unit file for mon instance (for or after infernalis)] *** 
ok: [clara006.ceph.redhat.com] => {"changed": false, "dest": "/etc/systemd/system/multi-user.target.wants/ceph-mon@clara006.service", "failed": false, "failed_when_result": false, "gid": 0, "group": "root", "mode": "0777", "owner": "root", "secontext": "unconfined_u:object_r:systemd_unit_file_t:s0", "size": 41, "src": "/usr/lib/systemd/system/ceph-mon@.service", "state": "link", "uid": 0}
ok: [clara014.ceph.redhat.com] => {"changed": false, "dest": "/etc/systemd/system/multi-user.target.wants/ceph-mon@clara014.service", "failed": false, "failed_when_result": false, "gid": 0, "group": "root", "mode": "0777", "owner": "root", "secontext": "unconfined_u:object_r:systemd_unit_file_t:s0", "size": 41, "src": "/usr/lib/systemd/system/ceph-mon@.service", "state": "link", "uid": 0}

TASK: [ceph-mon | start and add that the monitor service to the init sequence (for or after infernalis)] *** 
failed: [clara006.ceph.redhat.com] => {"changed": false, "failed": true}
msg: Failed to start ceph-mon@clara006.service: Unit ceph-mon@clara006.service failed to load: No such file or directory.

failed: [clara014.ceph.redhat.com] => {"changed": false, "failed": true}
msg: Failed to start ceph-mon@clara014.service: Unit ceph-mon@clara014.service failed to load: No such file or directory.


FATAL: all hosts have already failed -- aborting

PLAY RECAP ******************************************************************** 
           to retry, use: --limit @/home/ubuntu/site.retry



Full Logs:
http://magna002.ceph.redhat.com/vasu-2016-05-07_22:49:51-smoke-jewel---basic-clara/230833/teuthology.log
clara006.ceph.redhat.com   : ok=61   changed=12   unreachable=0    failed=1   
clara014.ceph.redhat.com   : ok=61   changed=12   unreachable=0    failed=1   



Steps to recreate:
2016-05-08T03:21:24.861 INFO:teuthology.orchestra.run.clara014.stdout:[mons]
2016-05-08T03:21:24.862 INFO:teuthology.orchestra.run.clara014.stdout:clara006.ceph.redhat.com devices='["/dev/sdb", "/dev/sdc", "/dev/sdd"]' monitor_interface='eno1' public_network='10.8.128.0/21'
2016-05-08T03:21:24.863 INFO:teuthology.orchestra.run.clara014.stdout:clara014.ceph.redhat.com devices='["/dev/sdb", "/dev/sdc", "/dev/sdd"]' monitor_interface='eno1' public_network='10.8.128.0/21'
2016-05-08T03:21:24.864 INFO:teuthology.orchestra.run.clara014.stdout:
2016-05-08T03:21:24.865 INFO:teuthology.orchestra.run.clara014.stdout:[osds]
2016-05-08T03:21:24.866 INFO:teuthology.orchestra.run.clara014.stdout:clara007.ceph.redhat.com devices='["/dev/sdb", "/dev/sdc", "/dev/sdd"]' monitor_interface='eno1' public_network='10.8.128.0/21'
2016-05-08T03:21:24.867 INFO:teuthology.orchestra.run.clara014.stdout:clara008.ceph.redhat.com devices='["/dev/sdb", "/dev/sdc", "/dev/sdd"]' monitor_interface='eno1' public_network='10.8.128.0/21'
2016-05-08T03:21:24.868 INFO:teuthology.orchestra.run.clara014.stdout:clara010.ceph.redhat.com devices='["/dev/sdb", "/dev/sdc", "/dev/sdd"]' monitor_interface='eno1' public_network='10.8.128.0/21'
2016-05-08T03:21:24.870 INFO:teuthology.orchestra.run.clara014:Running: 'cat ceph-ansible/site.yml'
2016-05-08T03:21:24.927 INFO:teuthology.orchestra.run.clara014.stdout:---
2016-05-08T03:21:24.929 INFO:teuthology.orchestra.run.clara014.stdout:- become: true
2016-05-08T03:21:24.930 INFO:teuthology.orchestra.run.clara014.stdout:  hosts: mons
2016-05-08T03:21:24.931 INFO:teuthology.orchestra.run.clara014.stdout:  roles: [ceph-mon]
2016-05-08T03:21:24.932 INFO:teuthology.orchestra.run.clara014.stdout:- become: true
2016-05-08T03:21:24.933 INFO:teuthology.orchestra.run.clara014.stdout:  hosts: osds
2016-05-08T03:21:24.934 INFO:teuthology.orchestra.run.clara014.stdout:  roles: [ceph-osd]
2016-05-08T03:21:24.935 INFO:teuthology.orchestra.run.clara014.stdout:- become: true
2016-05-08T03:21:24.935 INFO:teuthology.orchestra.run.clara014.stdout:  hosts: mdss
2016-05-08T03:21:24.936 INFO:teuthology.orchestra.run.clara014.stdout:  roles: [ceph-mds]
2016-05-08T03:21:24.937 INFO:teuthology.orchestra.run.clara014.stdout:- become: true
2016-05-08T03:21:24.938 INFO:teuthology.orchestra.run.clara014.stdout:  hosts: rgws
2016-05-08T03:21:24.939 INFO:teuthology.orchestra.run.clara014.stdout:  roles: [ceph-rgw]
2016-05-08T03:21:24.940 INFO:teuthology.orchestra.run.clara014.stdout:- become: true
2016-05-08T03:21:24.941 INFO:teuthology.orchestra.run.clara014.stdout:  hosts: client
2016-05-08T03:21:24.942 INFO:teuthology.orchestra.run.clara014.stdout:  roles: [ceph-common]
2016-05-08T03:21:24.943 INFO:teuthology.orchestra.run:Running command with timeout 4200
2016-05-08T03:21:24.943 INFO:teuthology.orchestra.run.clara014:Running: 'cd ceph-ansible ; ansible-playbook -v --extra-vars \'{"ceph_origin": "distro", "ansible_ssh_user": "ubuntu", "journal_collocation": true, "osd_auto_discovery": false, "ceph_stable_rh_storage": true, "ceph_stable": true, "journal_size": 1024}\' -i /tmp/teuth_ansible_hosts_NLcRIB --limit

Comment 2 Andrew Schoen 2016-05-10 16:30:05 UTC
This may have been fixed upstream with this commit: https://github.com/ceph/ceph-ansible/pull/764/commits/c8e5e495524d515afa432b75fa06e7cb4032180e

Comment 8 Vasu Kulkarni 2016-05-17 18:48:41 UTC
Verified in 10.2.1-3.el7cp

Comment 10 errata-xmlrpc 2016-08-23 19:50:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2016:1754


Note You need to log in before you can comment on or make changes to this bug.